Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.external.impl
Class VelocityExporter

    java.lang.Object
      |
      +--com.infodesire.infobit.external.impl.VelocityExporter

All Implemented Interfaces:
  InfobitExporter

public class VelocityExporter
extends java.lang.Object
implements InfobitExporter

Converts infobits to XML (as defined by `InfobitExporter`, relying on a `VelocityRenderer`.

Version:
  $Revision: 1.2 $
Author:
  peter2

Constructor Summary
`VelocityExporter()` Initializes an incomplete instance.

Method Summary
`void` | `export(java.util.Collection infobits, java.io.Writer writer)` Converts the specified set of infobits into an XML representation.
`InfobitManager` | `getManager()` Gets the Manager attribute of the VelocityRenderer object
`void` | `init()` Prepares the instance to be used.
`void` | `setManager(InfobitManager manager)` Sets the Manager attribute of the VelocityRenderer object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityExporter

    public VelocityExporter()

  Initializes an incomplete instance.

Method Detail

### getManager

    public InfobitManager getManager()

  Gets the Manager attribute of the VelocityRenderer object

  Specified by:
    `getManager` in interface `InfobitExporter`
  Returns:
    The Manager value

### setManager

    public void setManager(InfobitManager manager)

  Sets the Manager attribute of the VelocityRenderer object

  Specified by:
    `setManager` in interface `InfobitExporter`
  Parameters:
    `manager` - The new Manager value

### init

    public void init()
              throws InfobitException

  Prepares the instance to be used.

  Specified by:
    `init` in interface `InfobitExporter`
  Throws:
    `InfobitException` - Description of Exception

### export

    public void export(java.util.Collection infobits,
                       java.io.Writer writer)
                throws InfobitException

  Converts the specified set of infobits into an XML representation.

  Specified by:
    `export` in interface `InfobitExporter`
  Parameters:
    `infobits` - The infobits to externalize. Infobits are externalized in the order obtained from than argument. Collection of `Infobit`.
    `writer` - The destination where to write the XML representation of `infobits` to
  Throws:
    `InfobitException` - Unexpected error condition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.